#
# spec file for package obs-service-kiwi_label_helper
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-kiwi_label_helper
Version:        0.0
Release:        4.5
Summary:        Service to duplicate labels with a custom prefix
License:        GPL-2.0-or-later
Group:          Development/Tools/Building
URL:            https://build.opensuse.org
Source0:        kiwi_label_helper.service
Source1:        kiwi_label_helper
Source2:        README
Source3:        label_helper.xsl
Requires:       libxslt-tools
BuildArch:      noarch

%description
This service can be used during buildtime to implement the
suse_label_helper:add_prefix element useful for building containers.

%prep
%setup -q -D -T -c
cp %{SOURCE2} .

%build

%install

mkdir -p %{buildroot}%{_prefix}/lib/obs/service %{buildroot}%{_prefix}/lib/kiwi_label_helper
install -m 0644 %{SOURCE0} %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{SOURCE1} %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{SOURCE3} %{buildroot}%{_prefix}/lib/kiwi_label_helper

%files
%doc README
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service
%dir %{_prefix}/lib/kiwi_label_helper
%{_prefix}/lib/kiwi_label_helper/label_helper.xsl

%changelog
* Tue Dec  6 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Do not ever use "%%setup -n .": rpm 4.18 tries to be cleaner and
  remove stuff it extraced, which would lead to 'rm -rf .', which
  rm does not like. Use "%%setup -c" instead, which creates the
  appropriate %%{name}-%%{version} directory expected.
* Tue Jul  7 2020 Fabian Vogt <fvogt@suse.com>
- Add explicit fallback for chroot builds
* Mon May  4 2020 Fabian Vogt <fvogt@suse.com>
- Strip service prefix from the recipe name to work with enabled
  services in OBS
* Thu Jan 10 2019 Fabian Vogt <fvogt@suse.com>
- Remove spurious parameter to %%setup -T
* Tue Oct 30 2018 Fabian Vogt <fvogt@suse.com>
- Initial commit (fate#326856, bsc#1118103)
